package org.objectquery.orientdbtutorial.business;

import java.util.List;

import org.objectquery.ObjectQuery;
import org.objectquery.generic.GenericObjectQuery;
import org.objectquery.orientdbobjectquery.OrientDBObjectQuery;
import org.objectquery.orientdbtutorial.domain.Person;

import com.orientechnologies.orient.object.db.OObjectDatabasePool;
import com.orientechnologies.orient.object.db.OObjectDatabaseTx;

public class BusinessClass {

	public static void main(String[] args) {
		new OObjectDatabaseTx("memory:test").create();
		OObjectDatabaseTx database = new OObjectDatabasePool("memory:test", "admin", "admin").acquire();
		database.getEntityManager().registerEntityClass(Person.class);
		try {
			database.begin();

			Person p = new Person();
			p.setName("Jhon");
			p.setSurname("Doe");
			database.save(p);
		} finally {
			database.commit();
		}

		try {
			database.begin();
			ObjectQuery<Person> personQuery = new GenericObjectQuery<Person>(Person.class);
			personQuery.eq(personQuery.target().getName(), "Jhon");

			List<Person> persons = (List<Person>) OrientDBObjectQuery.execute(personQuery, database);
			System.out.println(persons.size());
			System.out.println(persons.get(0).getName() + " " + persons.get(0).getSurname());

		} finally {
			database.commit();
		}
	}

}
